# Edit Content

## Authorization

<mark style="color:purple;">`PATCH`</mark> `{API_URL}/content/{contentId}`

Client API Key and API Secret must be passed in Authorization Headers using Basic Auth. With API Key as the Username and API Secret as the password.

#### Path Parameters

| Name                                        | Type   | Description                            |
| ------------------------------------------- | ------ | -------------------------------------- |
| contentId<mark style="color:red;">\*</mark> | String | The ID of the Content you wish to edit |

#### Request Body

| Name      | Type    | Description              |
| --------- | ------- | ------------------------ |
| title     | String  | Title of the content     |
| contentId | String  | contentId of the content |
| duration  | Integer | duration of the content  |
| priv      |         | price of the content     |
| url       | String  | URL of the content       |

{% tabs %}
{% tab title="200: OK { "message": "Content Edited Successfully"}" %}

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="shell" %}

```
curl -X PATCH '{API_URL}/api/v1/content/{contentId}' \
-H 'Authorization: Basic RDZXN1Y4US1NTkc0V1lDLVFYOUJQMkItOEU3QjZLRzpUNFNHSjlISDQ3TVpRWkdTWkVGVjZYUk5TS1E4RDZXN1Y4UU1ORzRXWUNRWDlCUDJCOEU3QjZLRw==' \
-H 'Content-Type: application/json' \
-d '{
    "contentId" : "testingID For Client Content",
    "duration" : 30,
    "title" : "Test content for API functionality Edited",
    "price" : 90,
    "currency": "INR",
    "categories": ["category1", "category2"],
    "tags": ["free", "premium", "metered"],
    "sections": ["EDITORIAL"],
    "authorId": "7589",
    "url": "www.google.com",
    "contentType": "PREMIUM CONTENT",
    "priceOverrides": {
        "country": [
            {
                "name": "GL",
                "price": 2
            },
            {
                "name": "IN",
                "price": 1
            },
            {
                "name": "US",
                "price": 0
            }
        ]
    },
    "download": {
      "url": "https://yourdownloadurl.com",
      "fileName": "Download File - Edited Name",
      "fileType": "PDF"
    },
    "pixels": {
        "facebook": {
            "pixelId": "98357934724994",
            "events": [
                {
                    "eventType": "VIEW",
                    "name": "PageView"
                },
                {
                    "eventType": "CONVERSION",
                    "name": "Purchase",
                    "data": {
                        "value": "dataValue"
                    }
                }
            ]
        },
        "google": {
            "trackingId": "G-RJDY8493"
        }
    }
}'

```

The above command returns JSON structured like this:

```json
{
    "message": "Content Edited Successfully",
    "editedContent": {
        "title": "Test content for API functionality",
        "contentId": "898",
        "price": 90,
        "currency": "INR",
        "duration": 30,
        "url": "www.google.com",
        "contentType": "STORY",
        "authorId": "7589",
        "priceOverrides": {
            "country": [
                {
                    "currency": "INR",
                    "_id": "605b25824646e9233aef61b4",
                    "name": "GL",
                    "price": 3
                },
                {
                    "currency": "INR",
                    "_id": "605b25824646e9233aef61b5",
                    "name": "IN",
                    "price": 5
                },
                {
                    "currency": "INR",
                    "_id": "605b25824646e9233aef61b6",
                    "name": "US",
                    "price": 7
                }
            ]
        },
        "download": {
            "url": "https://www.google.com",
            "fileName": "Download File - Name",
            "fileType": "PDF",
            "s3Key": "stage/Demo Client/Download File - Name-898.pdf"
        },
        "pixels": {
            "facebook": {
                "pixelId": "98357934724994",
                "events": [
                    {
                        "eventType": "VIEW",
                        "name": "PageView"
                    },
                    {
                        "eventType": "CONVERSION",
                        "name": "Purchase",
                        "data": {
                            "value": "dataValue"
                        }
                    }
                ]
            },
            "google": {
                "trackingId": "G-RJDY8493"
            }
        },
        "categories": [
            "category1",
            "category2"
        ],
        "tags": [
            "free",
            "premium",
            "metered"
        ],
        "sections": [
            "EDITORIAL"
        ],
        "publicationDate": null
    }
}
```

{% endtab %}

{% tab title="javaScript" %}

```
var axios = require("axios");
var data = JSON.stringify({
  contentId: "testingID For Client Content",
  duration: 30,
  title: "Test content for API functionality Edited",
  price: 90,
  currency: "INR",
  categories: ["category1", "category2"],
  tags: ["entertainment", "sports"],
  sections: ["EDITORIAL"],
  authorId: "7589",
  url: "www.google.com",
  contentType: "PREMIUM CONTENT",
  priceOverrides: {
    country: [
      { name: "GL", price: 2 },
      { name: "IN", price: 1 },
      { name: "US", price: 0 },
    ],
  },
  download: {
    url: "https://yourdownloadurl.com",
    fileName: "Download File - Edited Name",
    fileType: "PDF",
  },
  pixels: {
    facebook: {
      pixelId: "98357934724994",
      events: [
        {
          eventType: "VIEW",
          name: "PageView",
        },
        {
          eventType: "CONVERSION",
          name: "Purchase",
          data: {
            value: "dataValue",
          },
        },
      ],
    },
     google: {
      trackingId: "G-RJDY8493",
    },
  },
});

var config = {
  method: "patch",
  url: "{API_URL}/api/v1/content/{contentId}",
  headers: {
    Authorization:
      "Basic RDZXN1Y4US1NTkc0V1lDLVFYOUJQMkItOEU3QjZLRzpUNFNHSjlISDQ3TVpRWjnJL877NJSjnkHSk5TS1E4RDZXN1Y4UU1ORzRXWUNRWDlCUDJCOEU3QjZLRw==",
    "Content-Type": "application/json",
  },
  data: data,
};

axios(config)
  .then(function (response) {
    console.log(JSON.stringify(response.data));
  })
  .catch(function (error) {
    console.log(error);
  });
```

The above command returns JSON structured like this:

```json
{
    "message": "Content Edited Successfully",
    "editedContent": {
        "title": "Test content for API functionality",
        "contentId": "898",
        "price": 90,
        "currency": "INR",
        "duration": 30,
        "url": "www.google.com",
        "contentType": "STORY",
        "authorId": "7589",
        "priceOverrides": {
            "country": [
                {
                    "currency": "INR",
                    "_id": "605b25824646e9233aef61b4",
                    "name": "GL",
                    "price": 3
                },
                {
                    "currency": "INR",
                    "_id": "605b25824646e9233aef61b5",
                    "name": "IN",
                    "price": 5
                },
                {
                    "currency": "INR",
                    "_id": "605b25824646e9233aef61b6",
                    "name": "US",
                    "price": 7
                }
            ]
        },
        "download": {
            "url": "https://www.google.com",
            "fileName": "Download File - Name",
            "fileType": "PDF",
            "s3Key": "stage/Demo Client/Download File - Name-898.pdf"
        },
        "pixels": {
            "facebook": {
                "pixelId": "98357934724994",
                "events": [
                    {
                        "eventType": "VIEW",
                        "name": "PageView"
                    },
                    {
                        "eventType": "CONVERSION",
                        "name": "Purchase",
                        "data": {
                            "value": "dataValue"
                        }
                    }
                ]
            },
            "google": {
                "trackingId": "G-RJDY8493"
            }
        },
        "categories": [
            "category1",
            "category2"
        ],
        "tags": [
            "free",
            "premium",
            "metered"
        ],
        "sections": [
            "EDITORIAL"
        ],
        "publishedAt": null
    }
}
```

{% endtab %}

{% tab title="php" %}

```
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "{API_URL}/api/v1/content/Client%20Content%20Id%2011",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
   CURLOPT_POSTFIELDS =>'{
    "contentId" : "testingID For Client Content",
    "duration": 30,
    "title": "Test content for API functionality Edited",
    "price" : 90,
    "currency": "INR",
    "url": "www.google.com",
    "contentType": "PREMIUM CONTENT",
    "categories": ["category3"],
    "priceOverrides": {
        "country": [
            {
                "name": "GL",
                "price": 2
            },
            {
                "name": "IN",
                "price": 1
            },
            {
                "name": "US",
                "price": 0
            }
        ]
    },
    "download": {
      "url": "https://yourdownloadurl.com",
      "fileName": "Download File - Edited Name",
      "fileType": "PDF"
    },
    "pixels": {
    "facebook": {
            "pixelId": "98357934724994",
            "events": [
                {
                    "eventType": "VIEW",
                    "name": "PageView"
                },
                {
                    "eventType": "CONVERSION",
                    "name": "Purchase",
                    "data": {
                        "value": "dataValue"
                    }
                }
            ]
        },
        "google": {
            "trackingId": "G-RJDY8493"
        }
    }
}',
  CURLOPT_HTTPHEADER => array(
    "Authorization: Basic RDZXN1Y4US1NTkc0V1lDLVFYOUJQMkItOEU3QjZLRzpUNFNHSjlISDQ3TVpRWkdTWkVGVjZYUk5TS1E4RDZXN1Y4UU1ORzRXWUNRWDlCUDJCOEU3QjZLRw==",
    "Content-Type: application/json"
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

The above command returns JSON structured like this:

```json
{
    "message": "Content Edited Successfully",
    "editedContent": {
        "title": "Test content for API functionality",
        "contentId": "898",
        "price": 90,
        "currency": "INR",
        "duration": 30,
        "url": "www.google.com",
        "contentType": "STORY",
        "authorId": "7589",
        "priceOverrides": {
            "country": [
                {
                    "currency": "INR",
                    "_id": "605b25824646e9233aef61b4",
                    "name": "GL",
                    "price": 3
                },
                {
                    "currency": "INR",
                    "_id": "605b25824646e9233aef61b5",
                    "name": "IN",
                    "price": 5
                },
                {
                    "currency": "INR",
                    "_id": "605b25824646e9233aef61b6",
                    "name": "US",
                    "price": 7
                }
            ]
        },
        "download": {
            "url": "https://www.google.com",
            "fileName": "Download File - Name",
            "fileType": "PDF",
            "s3Key": "stage/Demo Client/Download File - Name-898.pdf"
        },
        "pixels": {
            "facebook": {
                "pixelId": "98357934724994",
                "events": [
                    {
                        "eventType": "VIEW",
                        "name": "PageView"
                    },
                    {
                        "eventType": "CONVERSION",
                        "name": "Purchase",
                        "data": {
                            "value": "dataValue"
                        }
                    }
                ]
            },
            "google": {
                "trackingId": "G-RJDY8493"
            }
        },
        "categories": [
            "category1",
            "category2"
        ],
        "tags": [
            "free",
            "premium",
            "metered"
        ],
        "sections": [
            "EDITORIAL"
        ],
        "publishedAt": null
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/registering-the-content/edit-content.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
